#############################################################################################
# A gnuplot script to plot the functions
#                 e(x) = exp(-0.5*x)
# and
#                 g(x) = exp(-0.5*x^2)
#
#          written by Thomas L. Gibson  October 16, 2013
#############################################################################################
e(x) = exp(-0.5*abs(x))
g(x) = exp(-0.5*x*x)
z(x) = 0
#set nokey
set sample 1000
set title "Exponential vs Gaussian"
#set label 1 "f(x) = x^2 -4" at -2.0, 20 left
set xlabel "x"
set ylabel "f(x)"
plot [-6:6] [0:1.2] z(x) t '' lw 2 lc rgb 'black', \
                    e(x) t 'e^{-x/2}' lw 3 lt 1 lc rgb 'red', \
                    g(x) t 'e^{-x^{2}/2}' lw 3 lt 2 lc rgb 'blue'
pause -1 "Hit return to make exp_vs_gaussian.ps or cntl c to exit."
set terminal postscript enhanced
set output "exp_vs_gaussian.ps"
replot
reset
exit
